
This module works with the Griffin Powermate and allows some basic transport control.

It autodetects the Powermate on any input device of the form "/dev/input/event*".  This means you must have the powermate module in your kernel.  It works out-of-the-box with 64Studio and presumably lots of other modern distributions.

Turning the wheel left and right will act as a "Shuttle" wheel, adjusting playback speed up and down
Pushing the knob will switch between play and stop
Pushing the knob while turning will jump to the next or previous markers


In order for the powermate to work, you have to have permission to open the input device for reading.
In debian, I changed /etc/udev/rules.d/0_permissions.rules to have the line:
KERNEL=="event[0-9]*", 		MODE="0666"
but there are other ways to achieve this


Feedback, tweaks, bug fixes and feature ideas are encouraged

-Ben Loftis, ben@benloftis.com

 